#
# spec file for package gob2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gob2
Version:        2.0.20
Release:        150400.12.9
Summary:        Preprocessor to Write GObject objects
License:        GPL-2.0-or-later
Group:          Development/Tools/GUI Builders
Url:            http://www.5z.com/jirka/gob.html
Source:         http://download.gnome.org/sources/gob2/2.0/%{name}-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  glib2-devel >= 2.4.0

%description
GOB is a preprocessor for making GObject objects with
inline C code so that generated files are not editted. The syntax is
inspired by Java, yacc/bison and lex.

%prep
%setup -q
rm src/lexer.c

%build
%configure
make %{?_smp_mflags}

%install
%make_install
rm examples/Makefile*

%files
%license COPYING
%doc AUTHORS README NEWS ChangeLog
%doc examples
%{_bindir}/gob2
%{_datadir}/aclocal/gob2.m4
%{_mandir}/man1/gob2.1%{?ext_man}

%changelog
* Fri Mar  9 2018 jengelh@inai.de
- Ensure neutrality of description.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Sat Dec 14 2013 dimstar@opensuse.org
- Update to version 2.0.20:
  + Require glib 2.4, and change use of the _take_ownership
    functions to _take_ functions.
  + Support for GTK3.
  + Names on properties and signals.
* Wed Dec 19 2012 dimstar@opensuse.org
- Update to version 2.0.19:
  + Print unreftors and destructors before calling parent finalize
    and dispose as is the proper ordering.
  + Do not output #line 0 statements.
  + Fix empty file separator.
* Thu Dec 22 2011 vuntz@opensuse.org
- Explicitly list files we package.
* Fri Jan  7 2011 vuntz@opensuse.org
- Update to version 2.0.18:
  + Add %%ctop{ %%} to do what alltop does but only for the C file
  + gob2.m4 exits if gob is not found (lp#317801)
  + Escape minus signs in the webpage and fix some typos
  + Clarify README as to the public domainness of the generated
    code
  + Build fixes for Cygwin
- Improve summary and description.
* Tue Apr  6 2010 vuntz@opensuse.org
- Update to version 2.0.17:
  + Fix segfault when defining the finilize, dispose, and
    constructor methods (deb#574542)
  + Handle carriage returns in input files
  + use -G_MAXFLOAT and -G_MAXDOUBLE for the default minima for
    floating point numbers
* Thu Jul 23 2009 vuntz@novell.com
- Update to version 2.0.16:
  + add possibility of using function attributes such as
    G_GNUC_PRINTF etc...
  + *_get_type methods are G_GNUC_CONST
  + move #line sections past opening brace of functions
  + handle finalize, dispose, constructor just like init
  + Add %%afterdecls{ %%} code block
  + Minor fixes to docs
- Remove AutoReqProv: it's default now.
- Use configure, makeinstall macros.
- Clean up file list.
* Fri Feb  1 2008 rodrigo@suse.de
- Update to version 2.0.15:
  * Fix --file-sep usage with respect to private headers
  * Don't use /dev/null to help portability on non-unix
  * Fix segfault on bad include statement (debian bug #443907)
  * Fix my-person.gob example
* Thu Mar 29 2007 ro@suse.de
- added flex,bison to buildreq
* Mon Mar  6 2006 sbrabec@suse.cz
- Removed bundled lexer.c (#151087).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 lmichnovic@suse.cz
- Updated to version 2.0.14
* Wed Aug  3 2005 sbrabec@suse.cz
- Updated to version 2.0.12.
* Mon Feb 21 2005 sbrabec@suse.cz
- Fixed files owner.
* Mon Feb 21 2005 sbrabec@suse.cz
- Updated to version 2.0.11.
* Mon Mar 22 2004 sbrabec@suse.cz
- Fixed underquoted definition (#36604).
- Added gnome-filesystem to neededforbuild.
* Tue Jul 22 2003 hhetter@suse.de
- fix PKG_CONFIG_PATH
* Mon May 26 2003 sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
